{
  "name": "server",
  "description": "server app part of unit app",
  "version": "0.1.0",
  "homepage": "",
  "private": true,
  "main": "src",
  "keywords": [
    "feathers"
  ],
  "author": {
    "name": "kazyamaz",
    "email": "yamazawa@supersoftware.co.jp"
  },
  "contributors": [],
  "bugs": {},
  "directories": {
    "lib": "src",
    "test": "test/",
    "config": "config/"
  },
  "scripts": {
    "test": "npm run compile && npm run jest",
    "develop": "ts-node-dev --no-notify src/",
    "start": "npm run compile && node lib/",
    "jest": "jest  --forceExit",
    "compile": "shx rm -rf lib/ && tsc",
    "datastore:setup": "npm run compile && node lib/tasks/datastore/setup.js",
    "datastore:teardown": "npm run compile && node lib/tasks/datastore/teardown.js",
    "datastore:dump": "npm run compile && node lib/tasks/datastore/dump.js",
    "datastore:seed": "npm run compile && node lib/tasks/datastore/seed.js",
    "datastore:backup": "npm run compile && node lib/tasks/datastore/backup.js"
  },
  "standard": {
    "env": [
      "jest"
    ],
    "ignore": []
  },
  "types": "lib/",
  "dependencies": {
    "@directus/sdk": "10.1.4",
    "@feathersjs/authentication": "5.0.0-pre.9",
    "@feathersjs/configuration": "5.0.0-pre.9",
    "@feathersjs/errors": "5.0.0-pre.9",
    "@feathersjs/express": "5.0.0-pre.9",
    "@feathersjs/feathers": "5.0.0-pre.9",
    "@feathersjs/socketio": "5.0.0-pre.9",
    "@feathersjs/transport-commons": "5.0.0-pre.9",
    "@natade-coco/hub-sdk": "^0.5.3",
    "@types/connect-history-api-fallback": "^1.3.3",
    "camelcase-keys": "^7.0.0",
    "compression": "^1.7.4",
    "connect-history-api-fallback": "^1.6.0",
    "cors": "^2.8.5",
    "dotenv": "^8.2.0",
    "feathers-memory": "^4.1.0",
    "helmet": "^3.22.0",
    "jsonwebtoken": "^8.5.1",
    "snakecase-keys": "^5.0.0",
    "winston": "^3.2.1"
  },
  "devDependencies": {
    "@types/compression": "^1.7.0",
    "@types/cors": "^2.8.6",
    "@types/helmet": "0.0.46",
    "@types/jest": "^25.2.1",
    "@types/jsonwebtoken": "^8.5.5",
    "@types/serve-favicon": "^2.5.0",
    "axios": "^0.19.2",
    "jest": "^25.4.0",
    "nodemon": "^2.0.3",
    "shx": "^0.3.2",
    "ts-jest": "^25.4.0",
    "ts-node-dev": "^1.0.0-pre.44",
    "tslint": "^6.1.2",
    "typescript": "^4.2.4",
    "utf-8-validate": "^5.0.2"
  }
}
